h1 {
  color: #c01818;
  margin: 20px;
}

.container {
  display: flex;
  justify-content: space-between;
  width: 90%;
  padding-top: 25px;
  max-width: 800px;
  gap: 40px;
}

.left-column, .right-column {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

#starProgress {
  display: flex;
  justify-content: center;
  gap: 8px;
  margin: 20px 0;
}

.star {
  font-size: 28px;
  color: #ccc; /* outline color */
  transition: all 0.3s ease;
  cursor: default;
}

.star.filled {
  color: #ffd700; /* gold fill */
  text-shadow: 0 0 4px rgba(255, 215, 0, 0.6);
}

.star.final-fill {
  animation: popIn 0.6s ease-out;
}

@keyframes popIn {
  0% {
    transform: scale(2);
    opacity: 0;
  }
  70% {
    transform: scale(1.2);
    opacity: 1;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}

.item {
  padding: 10px;
  cursor: pointer;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: all 0.3s ease;
}

.right-column .item {
  width: 185px; /* adjust size */
  height: 75px;
  text-align: center;
  padding: 10px;
  background-color: #ffe3e3;
  border-radius: 10px;
  cursor: pointer;
  text-align: center;
  display: flex;
  flex-direction: column;
  transition: all 0.3s ease;
  font-size: 12px;
  margin-bottom:-3px;
}

.left-column .item {
  width: 120px; /* adjust size */
  height: 75px;
  text-align: center;
  padding: 10px;
  cursor: pointer;
  text-align: center;
  display: flex;
  flex-direction: column;
  transition: all 0.3s ease;
  font-size: 12px;
  margin-bottom:-3px;
  margin-left: 35px;
}

.item img.icon {
  width: 120px; /* adjust size */
  height: 85px;
}


.item.selected {
  transform: scale(1.3);
  box-shadow: 0 0 #eeec7e;
}

.item.correct {
  background-color: #8fd19e;
  box-shadow: 0 0 10px #4caf50;
}

.item.wrong {
  background-color: #f08080;
  animation: shake 0.3s;
}

@keyframes shake {
  0% { transform: translateX(0); }
  25% { transform: translateX(-5px); }
  50% { transform: translateX(5px); }
  75% { transform: translateX(-5px); }
  100% { transform: translateX(0); }
}
